PayAndSee - перестал работать после обновления

UPD: Глюк 2 (проверка подписки) — нужно было во вкладке «Клиенты» включить пользователя — тогда всё работает.

Плагин был куплен давно, поддержка закончилась, пишу сюда, может повезет.

Была версия: 2.0.13-beta
Обновляюсь на: 2.0.24-beta

Перестал работать плагин, вот ошибки:

1. В меню админки сайта, в разделе «Пакеты» при щелчке на «PayAndSee» — пустое поле.

2. Так же перестала работать проверка на активность подписки, захожу под пользователем с активированной подпиской, беру кода с сайта pas.vgrish.ru/:



{set $access = $_modx->resource.id|pasraccess:0}
{if !$access}
<p class="bg-danger">нужна подписка</p>
{else}
<p class="bg-success">подписка активна</p>
{/if}
{$_modx->resource.content|pasraccess:('pas.content'|snippet:['resource'=>''])}
Все равно выводит что нужна подписка.

Хотел переделать тариф, подписку — не могу это сделать из-за проблемы описано в 1 пункте.

Окружение:
MODX Revolution 2.7.3-pl
Office 1.9.1-pl
pdoTools 2.12.6-pl

При обновлении плагина вижу что есть ошибка: modRestClient::__construct is deprecated since version 2.3.0. Use the modRest classes instead.

Лог — первая попытка обновления:
Пробуем установить пакет с подписью: payandsee-2.0.24-beta
Пакет найден... сейчас идёт подготовка к его установке.
Загрузка рабочего пространства пакета...
Рабочее пространство загружено, сейчас устанавливаем пакет...
Installing files from /home/users/site.ru/core/packages/payandsee-2.0.24-beta/xPDOFileVehicle/4cd64c182c2d16b1e1e4a152f2f4cd5d/ to /home/users/site.ru/core/components/payandsee
Attempting to preserve files at /home/users/site.ru/core/components/payandsee into archive /home/users/site.ru/core/packages/payandsee-2.0.24-beta/xPDOFileVehicle/4cd64c182c2d16b1e1e4a152f2f4cd5d.preserved.zip
Skipping vehicle object of class modSystemSetting (data object exists and cannot be upgraded); criteria: Array ( [key] => payandsee_working_templates )
Skipping vehicle object of class modSystemSetting (data object exists and cannot be upgraded); criteria: Array ( [key] => payandsee_client_groups )
Skipping vehicle object of class modSystemSetting (data object exists and cannot be upgraded); criteria: Array ( [key] => payandsee_email_manager )
Skipping vehicle object of class modSystemSetting (data object exists and cannot be upgraded); criteria: Array ( [key] => payandsee_front_css )
Skipping vehicle object of class modSystemSetting (data object exists and cannot be upgraded); criteria: Array ( [key] => payandsee_front_js )
Skipping vehicle object of class modSystemSetting (data object exists and cannot be upgraded); criteria: Array ( [key] => payandsee_order_handler_class )
Skipping vehicle object of class modSystemSetting (data object exists and cannot be upgraded); criteria: Array ( [key] => payandsee_order_delivery_id )
Skipping vehicle object of class modSystemSetting (data object exists and cannot be upgraded); criteria: Array ( [key] => payandsee_order_resource_id )
modRestClient::__construct is deprecated since version 2.3.0. Use the modRest classes instead.
modRestClient::__construct is deprecated since version 2.3.0. Use the modRest classes instead.
Package decrypted!
Skipping vehicle object of class modChunk (data object exists and cannot be upgraded); criteria: Array ( [name] => pas.content )
Skipping vehicle object of class modChunk (data object exists and cannot be upgraded); criteria: Array ( [name] => pas.rate )
Skipping vehicle object of class modChunk (data object exists and cannot be upgraded); criteria: Array ( [name] => pas.order )
Skipping vehicle object of class modChunk (data object exists and cannot be upgraded); criteria: Array ( [name] => pas.get.order )
Skipping vehicle object of class modChunk (data object exists and cannot be upgraded); criteria: Array ( [name] => pas.subscription )
Attempting to preserve files at /home/users/site.ru/assets/components/payandsee into archive /home/users/site.ru/core/packages/payandsee-2.0.24-beta/modCategory/1f19b6fce1fa0b9eb579c4e6206dd452.0.preserved.zip
Attempting to preserve files at /home/users/site.ru/core/components/payandsee into archive /home/users/site.ru/core/packages/payandsee-2.0.24-beta/modCategory/1f19b6fce1fa0b9eb579c4e6206dd452.1.preserved.zip
Removed modAction instance with primary key 3
Removed modMenu instance with primary key payandsee
Успешно установлен пакет payandsee-2.0.24-beta

Вторая переустановка, дает такой лог:

Пробуем установить пакет с подписью: payandsee-2.0.24-beta
Пакет найден... сейчас идёт подготовка к его установке.
Загрузка рабочего пространства пакета...
Рабочее пространство загружено, сейчас устанавливаем пакет...
Installing files from /home/users/site.ru/core/packages/payandsee-2.0.24-beta/xPDOFileVehicle/4cd64c182c2d16b1e1e4a152f2f4cd5d/ to /home/users/site.ru/core/components/payandsee
Attempting to preserve files at /home/users/site.ru/core/components/payandsee into archive /home/users/site.ru/core/packages/payandsee-2.0.24-beta/xPDOFileVehicle/4cd64c182c2d16b1e1e4a152f2f4cd5d.preserved.zip
Skipping vehicle object of class modSystemSetting (data object exists and cannot be upgraded); criteria: Array ( [key] => payandsee_working_templates )
Skipping vehicle object of class modSystemSetting (data object exists and cannot be upgraded); criteria: Array ( [key] => payandsee_client_groups )
Skipping vehicle object of class modSystemSetting (data object exists and cannot be upgraded); criteria: Array ( [key] => payandsee_email_manager )
Skipping vehicle object of class modSystemSetting (data object exists and cannot be upgraded); criteria: Array ( [key] => payandsee_front_css )
Skipping vehicle object of class modSystemSetting (data object exists and cannot be upgraded); criteria: Array ( [key] => payandsee_front_js )
Skipping vehicle object of class modSystemSetting (data object exists and cannot be upgraded); criteria: Array ( [key] => payandsee_number_format )
Skipping vehicle object of class modSystemSetting (data object exists and cannot be upgraded); criteria: Array ( [key] => payandsee_order_handler_class )
Skipping vehicle object of class modSystemSetting (data object exists and cannot be upgraded); criteria: Array ( [key] => payandsee_order_delivery_id )
Skipping vehicle object of class modSystemSetting (data object exists and cannot be upgraded); criteria: Array ( [key] => payandsee_order_resource_id )
modRestClient::__construct is deprecated since version 2.3.0. Use the modRest classes instead.
modRestClient::__construct is deprecated since version 2.3.0. Use the modRest classes instead.
Package decrypted!
Skipping vehicle object of class modChunk (data object exists and cannot be upgraded); criteria: Array ( [name] => pas.content )
Skipping vehicle object of class modChunk (data object exists and cannot be upgraded); criteria: Array ( [name] => pas.rate )
Skipping vehicle object of class modChunk (data object exists and cannot be upgraded); criteria: Array ( [name] => pas.order )
Skipping vehicle object of class modChunk (data object exists and cannot be upgraded); criteria: Array ( [name] => pas.get.order )
Skipping vehicle object of class modChunk (data object exists and cannot be upgraded); criteria: Array ( [name] => pas.subscription )
Attempting to preserve files at /home/users/site.ru/assets/components/payandsee into archive /home/users/site.ru/core/packages/payandsee-2.0.24-beta/modCategory/1f19b6fce1fa0b9eb579c4e6206dd452.0.preserved.zip
Attempting to preserve files at /home/users/site.ru/core/components/payandsee into archive /home/users/site.ru/core/packages/payandsee-2.0.24-beta/modCategory/1f19b6fce1fa0b9eb579c4e6206dd452.1.preserved.zip
Успешно установлен пакет payandsee-2.0.24-beta
-----------------
Scorp Satex
15 мая 2020, 14:30
modx.pro
117
0
Поблагодарить автора Отправить деньги

Комментарии: 1

Scorp Satex
15 мая 2020, 14:38
0
@Володя подскажите пожалуйста, плагин PayAndSee совместим с modx 2.7.3?

Раньше он работал, но после обновления движка до последней версии — с ним начались проблемы.

Вроде в changeloge было указано что плагин обновлен: 2.0.18-beta (06.12.2018) — Improved support of MODX 2.7
    Авторизуйтесь или зарегистрируйтесь, чтобы оставлять комментарии.
    1